Subject: Finale

From: Brian Bailey <brianb>
Date: 1 Aug 1995 14:57:27 GMT

I am looking for information on the Herbicide "Finale" It is
claimed to be the second generation Glyphosate, but I wonder
if there is any independant data on its environmental safety.

Thank you.
-- 
Brian Bailey
Oregon City. Zone 7
-------------------------------------------------------------------------------
My thoughts are sometimes my own. Other times someone says they own them,
			    and I have no rights.